package com.palmnest.service.outer;

import com.palmnest.model.TbCompany;
import com.palmnest.model.estateserve.AppUser;
import com.palmnest.model.property.TbBuild;
import com.palmnest.model.property.VirtualArchitecture;

import java.util.Map;

public interface KafkaOuterService {

	public void sendMessage(String topic, String key, String message);

	/**
	 * 同步运营中心
	 *
	 * @param company
	 */
	public void syncCompany(TbCompany company);

	/**
	 * 同步项目信息
	 *
	 * @param map
	 */
	public void syncOrg(Map<String, Object> map);


	/**
	 * 同步楼宇信息
	 *
	 * @param build
	 */
	public void syncBuild(TbBuild build, Integer companyId);

	/**
	 * 同步企业信息
	 *
	 * @param virtualArchitecture
	 */
	public void syncVirtualarchitecture(VirtualArchitecture virtualArchitecture);

	/**
	 * 同步用户
	 *
	 * @param user
	 */
	public void syncUser(AppUser user);

}
